Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenTopLevelNodeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl
                      org.eclipse.gmf.codegen.gmfgen.impl.GenChildContainerImpl
                          org.eclipse.gmf.codegen.gmfgen.impl.GenNodeImpl
                              org.eclipse.gmf.codegen.gmfgen.impl.GenTopLevelNodeImpl

All Implemented Interfaces:
  EObject, GenChildContainer, GenCommonBase, GenContainerBase, GenNode, GenTopLevelNode, InternalEObject, Notifier

public class GenTopLevelNodeImpl
extends GenNodeImpl
implements GenTopLevelNode

An implementation of the model object 'Gen Top Level Node'.

The following features are implemented:

- `Diagram`

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenNodeImpl
`compartments, GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME_EDEFAULT, graphicalNodeEditPolicyClassName, labels, modelFacet`

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenChildContainerImpl
`CANONICAL_EDIT_POLICY_CLASS_NAME_EDEFAULT, canonicalEditPolicyClassName, childNodes`

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl
`diagramRunTimeClass, EDIT_PART_CLASS_NAME_EDEFAULT, editPartClassName, elementType, ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME_EDEFAULT, itemSemanticEditPolicyClassName, NOTATION_VIEW_FACTORY_CLASS_NAME_EDEFAULT, notationViewFactoryClassName, viewmap, VISUAL_ID_EDEFAULT, visualID`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenNode
`CLASS_NAME_PREFIX, GRAPHICAL_NODE_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenChildContainer
`CANONICAL_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenTopLevelNodeImpl()`

Method Summary
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`protected EClass` `eStaticClass()`
`GenDiagram` `getDiagram()`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenNodeImpl
`basicSetModelFacet, eSet, eUnset, getClassNamePrefix, getCompartments, getDomainMetaClass, getGraphicalNodeEditPolicyClassName, getGraphicalNodeEditPolicyClassNameGen, getGraphicalNodeEditPolicyQualifiedClassName, getLabels, getModelFacet, setGraphicalNodeEditPolicyClassName, setModelFacet, toString`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenChildContainerImpl
`getCanonicalEditPolicyClassName, getCanonicalEditPolicyClassNameGen, getCanonicalEditPolicyQualifiedClassName, getChildNodes, getContainedNodes, setCanonicalEditPolicyClassName`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl

`asJavaConstantName, basicGetDiagramRunTimeClass, basicSetElementType, basicSetViewmap, getClassNameSuffux, getDiagramRunTimeClass, getEditPartClassName, getEditPartClassNameGen, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyClassNameGen, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryClassNameGen, getNotationViewFactoryQualifiedClassName, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenNode
`getCompartments, getDomainMetaClass, getGraphicalNodeEditPolicyClassName, getGraphicalNodeEditPolicyQualifiedClassName, getLabels, getModelFacet, setGraphicalNodeEditPolicyClassName, setModelFacet`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenChildContainer
`getCanonicalEditPolicyClassName, getCanonicalEditPolicyQualifiedClassName, getChildNodes, setCanonicalEditPolicyClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`getContainedNodes`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getClassNamePrefix, getClassNameSuffux, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### GenTopLevelNodeImpl

    protected GenTopLevelNodeImpl()

** Generated **

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenNodeImpl`
  ** Generated **

### getDiagram

    public GenDiagram getDiagram()

  Specified by:
    `getDiagram` in interface `GenTopLevelNode`
  Specified by:
    `getDiagram` in class `GenCommonBaseImpl`
  ** Generated **

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `GenNodeImpl`
  ** Generated **

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `GenNodeImpl`
  ** Generated **

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `GenNodeImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `GenNodeImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.